[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# Kapacitor 설치 및 구성

**Kapacitor**는 원시 데이터 처리 엔진이다. InfluxDB에서 스트림 및 배치 데이터를 모두 처리할 수 있으며, Kapacitor를 사용하면 동적 임계 값으로 경고를 처리하고, 패턴에 대한 메트릭을 일치시키며, 통계적 이상을 계속하고 동적로드 재조정과 같은 이러한 경고를 기반으로 특정 작업을 수행하는 사용자 정의 논리 또는 사용자 정의 함수를 연결할 수 있다.

Kapacitor는 HipChat, OpsGenie, Alerta, Sensu, PagerDuty, Slack과 통합 된다.


# Kapacitor 개요

Kapacitor 작업은 TICK script 구문을 사용하여 데이터 집합에서 수행 할 작업을 정의하며, Kapacitor 작업에는 다음이 포함된다.

   - **stream task** - stream task은 Kapacitor의 InfluxDB에 기록 된 데이터를 복제한다. 이는 쿼리 오버 헤드를 줄이고, Kapacitor가 데이터를 디스크에 저장해야한다.
   - **batch task** - 일괄 작업은 지정된 간격 동안 데이터를 쿼리하고 처리한다.


# Kapacitor 설치

Kapacitor는 influxdata 에서 개발하고 배포하고 있다. 따라서 YUM Repository를 별도로 등록해야 한다.

```
# cat /etc/yum.repos.d/influxdb.repo
[influxdb]
name = InfluxDB Repository - RHEL \$releasever
baseurl = https://repos.influxdata.com/rhel/\$releasever/\$basearch/stable
enabled = 1
gpgcheck = 1
gpgkey = https://repos.influxdata.com/influxdb.key
```

다음과 같이 yum 명령으로 진행하면 된다.

```
# yum install kapacitor
```

`!중요` : Kapacitor의 데몬을 실행하기 위해서는 반드시 통신/계정접근이 가능한 InfluxDB가 사전에 준비되어 있어야 한다.

```
# cat /etc/kapacitor/kapacitor.conf
...중략
[[influxdb]]
  # Connect to an InfluxDB cluster
  # Kapacitor can subscribe, query and write to this cluster.
  # Using InfluxDB is not required and can be disabled.
  enabled = true
  default = true
  name = "influxdb01"
  urls = ["http://172.16.0.188:8086"]
  username = "admin"
  password = "패스워드"
  timeout = 0
```

그리고 `사용자의 권한은 반드시 Admin 계정이 부여되어야` 한다.




